petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMMoabCreateVertices

Creates and adds several vertices to the primary set represented by the DM.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateVertices(DM dm, const PetscReal* coords, PetscInt nverts, moab::Range* overts)

Collective

### Input Parameters

| dm | - The DM object
| type | - The type of element to create and add (Edge/Tri/Quad/Tet/Hex/Prism/Pyramid/Polygon/Polyhedra)
| conn | - The connectivity of the element
| nverts | - The number of vertices that form the element

### Output Parameter

overts -The list of vertices that were created (can be NULL)

### See Also

DMMoabCreateSubmesh(), DMMoabCreateElement()

### Level

beginner

### Location

src/dm/impls/moab/dmmoab.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages